<script src="./Script.js"></script>

<template>
  <div class="m-portlet m-portlet--mobile" v-cloak>
    <div class="m-portlet__body nt-info-advanced">
      <div class="row">
        <div class="col-md-6 col-sm-6">
          <div class="form-group m-form__group">
            <label class="form-control-label s--label">Ngày đặt hàng</label>
            <div
              class="input-group"
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'order_date', 'attribute_value')"
            >
              {{ helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'order_date',
              'attribute_value') | formatDateTime }}
            </div>
            <div class="input-group not-value" v-else>Chưa cập nhật</div>
          </div>
        </div>
        <!--  <div class="col-md-6 col-sm-6">
                     <div class="form-group m-form__group">
                         <label  class="form-control-label s--label">
                             Ngày thanh toán
                         </label>
                         <div class="input-group" v-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'order_payment', 'attribute_value')">
                             {{ helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'order_payment', 'attribute_value') | formatDateTime }}
                         </div>
                         <div class="input-group not-value" v-else>
                             Chưa cập nhật
                         </div>
                     </div>
        </div>-->
        <div class="col-md-6 col-sm-6">
          <div class="form-group m-form__group">
            <label class="form-control-label s--label">Trạng thái thanh toán</label>
            <div
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_paid_amount', 'attribute_value') && parseInt(helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_paid_amount', 'attribute_value')) > 0 && helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value') != helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_paid_amount', 'attribute_value') && parseInt(helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value')) != parseInt(helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_paid_amount', 'attribute_value'))"
            >
              <span class="nt-color-warning">Thanh toán một phần</span>
            </div>
            <template v-else>
              <div
                class="input-group"
                v-if="!helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value') || helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value') && parseInt(helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value')) == 0 || helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value') == helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_paid_amount', 'attribute_value') || parseInt(helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_transaction_amount', 'attribute_value')) == parseInt(helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'total_paid_amount', 'attribute_value'))"
              >
                <span style="color:#69BE31;">Đã thanh toán hết</span>
              </div>
              <div
                class="input-group"
                v-else-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'order_payment_status', 'attribute_value') && detailDeal"
              >
                <span
                  :style="{'color' : getColorByOption(detailDeal)}"
                >{{ helpers.getAttributeOption(helpers.getAttributeByAttrCode(detailDeal, 'order_payment_status'), helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'order_payment_status', 'attribute_value'), 'option_value') }}</span>
              </div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>
            </template>
          </div>
        </div>
        <div class="col-md-6 col-sm-6">
          <div class="form-group m-form__group">
            <label class="form-control-label s--label">Địa chỉ giao hàng</label>
            <div
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'delivery_address', 'attribute_value')"
              style="white-space: pre-line; word-break: break-word;"
              v-html="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'delivery_address', 'attribute_value')"
            ></div>
            <div class="input-group not-value" v-else>Chưa cập nhật</div>
          </div>
        </div>
        <div class="col-md-6 col-sm-6">
          <div class="form-group m-form__group">
            <label class="form-control-label s--label">Người nhận</label>
            <div
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'receiver', 'attribute_value')"
              style="white-space: pre-line; word-break: break-word;"
              v-html="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'receiver', 'attribute_value')"
            ></div>
            <div class="input-group not-value" v-else>Chưa cập nhật</div>
          </div>
        </div>
        <div class="col-md-6 col-sm-6">
          <div class="form-group m-form__group">
            <label class="form-control-label s--label">Số điện thoại liên hệ</label>
            <div
              class="input-group"
              v-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'contact_user_phone', 'attribute_value')"
            >
              {{ helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'contact_user_phone',
              'attribute_value') | formatPhone }}
            </div>
            <div class="input-group not-value" v-else>Chưa cập nhật</div>
          </div>
        </div>
        <div class="col-md-6 col-sm-6">
          <div class="form-group m-form__group">
            <label class="form-control-label s--label">Ngày tạo</label>
            <div
              class="input-group"
              v-if="detailDeal.created_at"
            >{{ detailDeal.created_at | formatDateTime(false) }}</div>
            <div class="input-group not-value" v-else>Chưa cập nhật</div>
          </div>
        </div>
        <div class="col-md-6 col-sm-6">
          <div class="form-group m-form__group">
            <label class="form-control-label s--label">Người tạo</label>
            <div class="input-group" v-if="createdBy">
              <div
                class="m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push"
                m-dropdown-toggle="click"
                aria-expanded="true"
              >
                <a
                  href="#"
                  class="m-portlet__nav-link m-dropdown__toggle btn m-btn m-btn--link nt-barge-dropdown"
                  v-if="createdBy.full_name"
                >
                  <i class="la la-user" style="font-size:13px;"></i>
                  &nbsp;{{ createdBy.full_name }}
                </a>
                <div class="m-dropdown__wrapper">
                  <span class="m-dropdown__arrow m-dropdown__arrow--left m-dropdown__arrow--adjust"></span>
                  <div class="m-dropdown__inner">
                    <div class="m-dropdown__body">
                      <div class="m-dropdown__content">
                        <ul class="m-nav">
                          <li
                            class="m-nav__item"
                            style="pointer-events: none;"
                            v-if="createdBy.phone_number"
                          >
                            <a href="javascript:;" class="m-nav__link">
                              <i class="m-nav__link-icon icon icon-phone-call"></i>
                              <span
                                class="m-nav__link-text"
                              >{{ createdBy.phone_number | formatPhone }}</span>
                            </a>
                          </li>
                          <li
                            class="m-nav__item"
                            style="pointer-events: none;"
                            v-if="createdBy.email"
                          >
                            <a href="javascript:;" class="m-nav__link">
                              <i class="m-nav__link-icon icon icon-email"></i>
                              <span class="m-nav__link-text">{{ createdBy.email }}</span>
                            </a>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="input-group not-value" v-else>Chưa cập nhật</div>
          </div>
        </div>
        <div
          class="col-md-6 col-sm-6"
          v-if="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'reason_for_cancellation', 'attribute_value')"
        >
          <div class="form-group m-form__group">
            <label class="form-control-label s--label">Lý do hủy</label>
            <div
              style="white-space: pre-line; word-break: break-word;"
              v-html="helpers.getAttributeByAttrCodeAndVariableName(detailDeal, 'reason_for_cancellation', 'attribute_value')"
            ></div>
          </div>
        </div>
        <div
          class="col-md-6 col-sm-6"
          v-for="(attribute, index) in attributesNotDefault"
          :key="index"
        >
          <template
            v-if="attributesNotDefault && attributesNotDefault.length > 0 && !attribute.is_hidden"
          >
            <div class="form-group m-form__group">
              <label class="form-control-label s--label">{{ attribute.attribute_name }}</label>
              <div class="input-group" v-if="attribute.attribute_value">
                <template
                  v-if="attribute.data_type_id == isSelect || attribute.data_type_id == isSelectFind || attribute.data_type_id == isRadio"
                >{{ helpers.getAttributeOption(attribute, attribute.attribute_value, 'option_value') }}</template>

                <template
                  v-else-if="attribute.data_type_id == isText || attribute.data_type_id == isEmail"
                >{{ attribute.attribute_value }}</template>

                <template
                  v-else-if="attribute.data_type_id == isDate"
                >{{ attribute.attribute_value | formatDateTime }}</template>

                <template
                  v-else-if="attribute.data_type_id == isDateTime"
                >{{ attribute.attribute_value | formatDateTime(false, true) }}</template>

                <template
                  v-else-if="attribute.data_type_id == isPhone"
                >{{ attribute.attribute_value | formatPhone }}</template>

                <template v-else-if="attribute.data_type_id == isNumber">
                  <template
                    v-if="attribute.attribute_value && attribute.attribute_value.toString().indexOf('.') != -1"
                  >{{ attribute.attribute_value.replace(".", ",") | formatNumber }}</template>
                  <template v-else>{{ (attribute.attribute_value) | formatNumber }}</template>
                </template>

                <template
                  v-else-if="attribute.data_type_id == isPrice"
                >{{ parseInt(attribute.attribute_value) | formatNumberPrice }}</template>

                <template v-else-if="attribute.data_type_id == isTextArea">
                  <div
                    style="white-space: pre-line; word-break: break-word;"
                    v-html="attribute.attribute_value"
                  ></div>
                </template>

                <template
                  v-else-if="attribute.data_type_id == isMultipleSelect || attribute.data_type_id == isTag || attribute.data_type_id == isCheckboxMultiple"
                >
                  <template
                    v-if="attribute.attribute_value && attribute.attribute_value.length > 0"
                  >
                    <span
                      class="nt-barge-dropdown m--margin-right-5 m--margin-bottom-5"
                      v-for="(item, indexA) in attribute.attribute_value"
                      :key="indexA"
                    >
                      <template
                        v-if="helpers.getAttributeOption(attribute, parseInt(item), 'option_value')"
                      >{{ helpers.getAttributeOption(attribute, parseInt(item), 'option_value') | truncateWords }}</template>>
                    </span>
                  </template>
                  <span class="input-group not-value" v-else>Chưa cập nhật</span>
                </template>

                <template v-else-if="attribute.data_type_id == isUser">
                  <div class="input-group">
                    <user-object-loading :user_id="attribute.attribute_value"></user-object-loading>
                  </div>
                </template>
                <template v-else-if="attribute.data_type_id == isUserMultiple">
                  <div
                    class="input-group"
                    v-for="(value_item, indexB) in attribute.attribute_value"
                    :key="indexB"
                  >
                    <template v-if="attribute.attribute_value">
                      <user-object-loading :user_id="value_item"></user-object-loading>
                    </template>
                  </div>
                </template>
              </div>
              <div class="input-group not-value" v-else>Chưa cập nhật</div>
            </div>
          </template>
        </div>
      </div>
    </div>
  </div>
</template>
